/*
 * DO NOT EDIT THIS FILE - it is generated by Glade.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>


#define GLADE_HOOKUP_OBJECT(component,widget,name) \
  g_object_set_data_full (G_OBJECT (component), name, \
    gtk_widget_ref (widget), (GDestroyNotify) gtk_widget_unref)

#define GLADE_HOOKUP_OBJECT_NO_REF(component,widget,name) \
  g_object_set_data (G_OBJECT (component), name, widget)

GtkWidget*
create_image_nr_dialog (void)
{
  GtkWidget *image_nr_dialog;
  GtkWidget *dialog_vbox1;
  GtkWidget *vbox1;
  GtkWidget *hbox1;
  GtkWidget *vbox2;
  GtkWidget *label2;
  GtkObject *spinbutton_adj;
  GtkWidget *spinbutton;
  GtkWidget *image;
  GtkWidget *dirname;
  GtkWidget *filename;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancelbutton1;
  GtkWidget *okbutton1;

  image_nr_dialog = gtk_dialog_new ();
  gtk_window_set_title (GTK_WINDOW (image_nr_dialog), _("Load the Nth image..."));
  gtk_window_set_modal (GTK_WINDOW (image_nr_dialog), TRUE);
  gtk_window_set_destroy_with_parent (GTK_WINDOW (image_nr_dialog), TRUE);
  gtk_window_set_type_hint (GTK_WINDOW (image_nr_dialog), GDK_WINDOW_TYPE_HINT_DIALOG);

  dialog_vbox1 = GTK_DIALOG (image_nr_dialog)->vbox;
  gtk_widget_show (dialog_vbox1);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_box_pack_start (GTK_BOX (dialog_vbox1), vbox1, TRUE, TRUE, 0);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, TRUE, TRUE, 0);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox2);
  gtk_box_pack_start (GTK_BOX (hbox1), vbox2, FALSE, FALSE, 0);

  label2 = gtk_label_new (_("Enter an image number:"));
  gtk_widget_show (label2);
  gtk_box_pack_start (GTK_BOX (vbox2), label2, TRUE, TRUE, 10);
  gtk_label_set_line_wrap (GTK_LABEL (label2), TRUE);

  spinbutton_adj = gtk_adjustment_new (1, 0, 100, 1, 10, 0);
  spinbutton = gtk_spin_button_new (GTK_ADJUSTMENT (spinbutton_adj), 1, 0);
  gtk_widget_show (spinbutton);
  gtk_box_pack_start (GTK_BOX (vbox2), spinbutton, TRUE, TRUE, 10);
  gtk_spin_button_set_numeric (GTK_SPIN_BUTTON (spinbutton), TRUE);
  gtk_spin_button_set_update_policy (GTK_SPIN_BUTTON (spinbutton), GTK_UPDATE_IF_VALID);

  image = create_pixmap (image_nr_dialog, NULL);
  gtk_widget_show (image);
  gtk_box_pack_start (GTK_BOX (hbox1), image, TRUE, TRUE, 10);

  dirname = gtk_label_new (_("directory"));
  gtk_widget_show (dirname);
  gtk_box_pack_start (GTK_BOX (vbox1), dirname, FALSE, FALSE, 5);
  GTK_WIDGET_SET_FLAGS (dirname, GTK_CAN_FOCUS);
  gtk_label_set_selectable (GTK_LABEL (dirname), TRUE);

  filename = gtk_label_new (_("file"));
  gtk_widget_show (filename);
  gtk_box_pack_start (GTK_BOX (vbox1), filename, FALSE, FALSE, 5);

  dialog_action_area1 = GTK_DIALOG (image_nr_dialog)->action_area;
  gtk_widget_show (dialog_action_area1);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (dialog_action_area1), GTK_BUTTONBOX_END);

  cancelbutton1 = gtk_button_new_from_stock ("gtk-cancel");
  gtk_widget_show (cancelbutton1);
  gtk_dialog_add_action_widget (GTK_DIALOG (image_nr_dialog), cancelbutton1, GTK_RESPONSE_CANCEL);
  GTK_WIDGET_SET_FLAGS (cancelbutton1, GTK_CAN_DEFAULT);

  okbutton1 = gtk_button_new_from_stock ("gtk-ok");
  gtk_widget_show (okbutton1);
  gtk_dialog_add_action_widget (GTK_DIALOG (image_nr_dialog), okbutton1, GTK_RESPONSE_OK);
  GTK_WIDGET_SET_FLAGS (okbutton1, GTK_CAN_DEFAULT);

  g_signal_connect ((gpointer) spinbutton, "value_changed",
                    G_CALLBACK (on_image_nr_value_changed),
                    NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (image_nr_dialog, image_nr_dialog, "image_nr_dialog");
  GLADE_HOOKUP_OBJECT_NO_REF (image_nr_dialog, dialog_vbox1, "dialog_vbox1");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, vbox1, "vbox1");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, hbox1, "hbox1");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, vbox2, "vbox2");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, label2, "label2");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, spinbutton, "spinbutton");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, image, "image");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, dirname, "dirname");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, filename, "filename");
  GLADE_HOOKUP_OBJECT_NO_REF (image_nr_dialog, dialog_action_area1, "dialog_action_area1");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, cancelbutton1, "cancelbutton1");
  GLADE_HOOKUP_OBJECT (image_nr_dialog, okbutton1, "okbutton1");

  return image_nr_dialog;
}

